EDIT - bug #7979

Registration date and time, display
01/11/2019 05:54 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal Found in Version:

Description

Test porta: Registration date is fine,

but registration time displays the system time of the computer.
Registration on 2019-01-11 17:36:56 in

Registration on 2019-01-11 17:39:01 in

Solution: get time of registration of omit time.

Associated revisions

Revision e6044ca7 - 01/15/2019 01:13 PM - Andreas Kohlbecker

fix #7979 DateTimeJSONValueProcessor returns null for null

History

#1 - 01/11/2019 06:08 PM - Wolf-Henning Kusber
- Subject changed from Registration time, display to Registration date and time, display

- Priority changed from New to Highest

Corrected description: Test and Production portal:

Registration date and registration time displays the system time of the user's computer.
Observation: between 2019-01-11 17:36:56 and 2019-01-11 17:39:01

Registration on 2019-01-11 17:36:56 in

F5

Registration on 2019-01-11 17:39:01 in

Solution: get date of registration (and time) as stored in the CDM database.

#2 - 01/15/2019 01:05 PM - Andreas Kohlbecker

- Status changed from New to In Progress

This happens always when the Registration.registrationDate is null. The date should also be null in the json response but the

DateTimeJSONValueProcessor produces now in case of null.

#3 - 01/15/2019 01:13 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlible6044ca78c8161aa67ec0fa788361a9caa079f2a.

#4 - 01/15/2019 01:14 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

can be reviewed once the test server is up to date

#5 - 04/12/2019 11:25 AM - Wolf-Henning Kusber
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/e6044ca78c8161aa67ec0fa788361a9caa079f2a

- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Test portal and Release Portal (checked 2019-04-12):
Displayed dates are correct.

Registrations made in Vaadin are displayed correctly as datetime, such as:

Registration on 2018-07-12 18:31:51

Variant 1 (not many registrations) Registration made in TaxEditor:
Registration on 2018-06-08 00:00:00 in PhycoBank Berlin
This is acceptable

Variant 2 (c. 1000 registration) Registrations made 1998/1999 by IAPT:

Registration on 1998-03-13 00:00:00 in Berlin
This is acceptable

#6 - 10/11/2021 09:49 PM - Andreas Miuller

Can we adapt milestone or remove it?

#7 - 10/26/2021 05:32 PM - Andreas Miuller

Andreas Muller wrote:

Can we adapt milestone or remove it?
??
